# ppmtoppm

Updated: February 2007
Table Of Contents

## NAME

ppmtoppm - copy PPM image

## SYNOPSIS

ppmtoppm

## DESCRIPTION

This program is part of Netpbm.

ppmtoppm simply copies a PPM image from Standard Input to Standard Output. This may seem an unnecessary duplication of cat, but remember that a PPM program can read a PBM or PGM image, and the right kind of PAM, as if it were PPM. So ppmtoppm can read either a PBM, PGM, or PPM image and produce a PPM image as output.

Even that is of limited usefulness because of the fact that almost any program to which you would feed the resulting PPM image could also just take the original image directly. However, sometimes you really need a true PPM image.

When you know you have a PGM image and want a PPM image, pgmtoppm is a more general way to do that conversion. When you know you have a PBM image, use that and pbmtopgm.

## OPTIONS

There are no command line options defined specifically for ppmtoppm, but it recognizes the options common to all programs based on libnetpbm (See Common Options.)

## SEE ALSO

pgmtopgm, pamtopam, pamtopnm, pgmtoppm, pbmtopgm, pbm, pgm, ppm

## HISTORY

This program was added to Netpbm in Release 10.9 (September 2002).

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- HISTORY